<? $this->headScript()
		->appendFile(_stm('tiny_mce/tiny_mce.js'), 'text/javascript')
		->appendFile(_stm('private-about-me.js'), 'text/javascript');
?>
<script type="text/javascript">
	window.addEvent('domready', function() {
		$$('input[name=available_24_7]').addEvent('change', function(){
			if ( this.get('checked') ) {
				$$('.w_times input').each(function(el){
					el.set('disabled', 'disabled');
					el.set('checked', '');
				});

				$$('.w_times select').each(function(el){
					el.set('disabled', 'disabled');
					el.set('value', '');
				});
			}
			else {
				$$('.w_times input').each(function(el){
					el.set('disabled', '');
				});

				$$('.w_times select').each(function(el){
					el.set('disabled', '');
				});
			}
		});

		<? if($this->agency_data['available_24_7']): ?>
			$$('input[name=available_24_7]').fireEvent('change');
		<? endif; ?>
	});

	
</script>
<?php
function render_lng_picker() {
	$html = '<div class="lng-picker">';

	foreach ( array_reverse(Cubix_I18n::getLangs(false)) as $id => $title ) {
		$html .= '<span cx:lng="' . $id . '"><img width="16" height="11" alt="' . $title . '" title="' . $title . '" src="' . _st('_/flag_' . $id . '.png') . '" /></span>';
	}

	$html .= '</div>';

	return $html;
}
?>
<div class="gray-box">

	<form action="" class="form" method="post" onsubmit="Navigation.overlay.disable()">
	
	<div class="c-body bot-border">
		
		<? /*<div class="c-title">Agency Profile</div>*/ ?>
		
		<div class="body">		
				
			<div class="c-title">Contact Details</div>
				
				
			<div style="padding: 20px" class="lindent">
			  <div class="inner">
				  <label for="agency_name">Agency Name</label>
				  <input id="agency_name" type="text" class="txt" name="agency_name" value="<?= $this->agency_data['name'] ?>" style="width: 200px" />
				  <div class="clear"></div>
			  </div>
			  <div class="inner">
				  <label for="email">Email</label>
				  <input id="email" type="text" class="txt" name="email" value="<?= $this->agency_data['email'] ?>" style="width: 200px" />
				  <div class="clear"></div>
			  </div>
			  <div class="inner">
				  <label for="web">Web</label>
				  <input id="web" type="text" class="txt" name="web" value="<?= $this->agency_data['web'] ?>" style="width: 200px" />
				  <div class="clear"></div>
			  </div>
			  <div class="inner ">
				  <label for="phone_prefix"><?= __('country_call_code') ?> <b>*</b></label>
					  <? $countries = new Model_Countries();?>
					  <select name="phone_prefix" class="txt" style="width:208px">
						  <option value ="">-------</option>
						  <? foreach($this->countries as $country):?>
						  <option value="<?= $country->id ?>-<?= $country->phone_prefix ?>-<?= $country->ndd_prefix ?>" <?= (isset($this->phone_prefix_id) && $country->id == $this->phone_prefix_id) ? 'selected="selected"' : '' ?>><?= $country->title ?> (+<?= $country->phone_prefix ?>) </option>
						  <? endforeach; ?>
					  </select>
				  <div class="clear"></div>
			  </div>
			  <div class="inner">
				  <label for="phone">Phone <b>*</b></label>
				  <input id="phone" type="text" class="txt" name="phone" value="<?= $this->agency_data['phone'] ?>" style="width: 200px" />
				  <div class="clear"></div>
			  </div>
			  <div class="inner">
				  <label for="phone_instr">Phone Instructions</label>
				  <textarea id="phone_instr" name="phone_instr" class="txt" style="width:200px;"><?= $this->agency_data['phone_instructions'] ?></textarea>
				  <div class="clear"></div>
			  </div>
			  <div class="inner">
				  <label style="width: 250px"><input type="checkbox" value="1" name="phone_to_all_escorts"> Apply phone number to all escorts</label>
			  </div>     
			  <div class="clear"></div>
		  </div>
				
			

		<div class="c-title">Agency Logo</div>
		<iframe frameborder="0" src ="/private-v2/agency-logo"  scrolling="no" height="280px" width="100%"></iframe>
		</div>
		
			<div class="clear"></div>
			
				
			<div>
				<div class="c-title">Location</div>

				
				<div class="lindent">
					<div class="inner">
						<label for="country"><?= __('pv2_label_country') ?></label>
						<? $model = new Cubix_Geography_Countries() ?>
						<select onchange="Geography.loadCities($('city'), this)" id="country" name="country_id" style="width: 207px">
							<option value="">- <?= strtolower(__('pv2_label_country')) ?> -&nbsp;&nbsp;</option>
							<? foreach ($model->ajaxGetAll(false) as $country): ?>
							<option value="<?= $country->id ?>"<?= $this->agency_data['country_id'] == $country->id ? ' selected="selected"' : '' ?>><?= $country->title ?>&nbsp;&nbsp;</option>
							<? endforeach ?>
						</select>
						<div class="clear"></div>
					</div>
					<div class="inner">
						<label for="city"><?= __('pv2_label_city') ?></label>
						<? $model = new Cubix_Geography_Cities() ?>
						<select id="city" name="city_id" style="width: 207px">
							<option value="">- <?= strtolower(__('pv2_label_city')) ?> -&nbsp;&nbsp;</option>
							<? if ( $this->agency_data['country_id'] ): ?>
							<? foreach ($model->ajaxGetAll(null, $this->agency_data['country_id']) as $city): ?>
							<option value="<?= $city->id ?>"<?= $this->agency_data['city_id'] == $city->id ? ' selected="selected"' : '' ?>><?= $city->title ?>&nbsp;&nbsp;</option>
							<? endforeach ?>
							<? endif ?>
						</select>
						<div class="clear"></div>
					</div>
				</div>
				
			</div>
				
			<div class="clear"></div>
			<div>
				<div class="c-title"><?= __('about_us') ?></div>
				<div class="body">
					<div class="inner">
						<?= render_lng_picker() ?>
						<div name="about_me_text"></div>
						<div class="error old-err">*</div>
						<div class="clear"></div>
					</div>

					<div class="inner">
					<? foreach ( array_reverse(Cubix_I18n::getLangs(false)) as $lng => $title ): ?>
						<div id="container-about-<?= $lng ?>" class="container-about-field" style="display: none">
							<textarea class="about-field" id="about-<?= $lng ?>" name="about_<?= $lng ?>" ><?= $this->agency_data['about_' . $lng] ?></textarea>
						</div>
					<? endforeach ?>
					</div>
				</div>
			</div>
			
			
			<div>
				<div class="c-title">Working Hours</div>

					<div class="inner" style="margin: 10px 0px 20px 20px;">
						<label for="available_24_7" style="padding-top: 0px;">Available 24/7</label>
						<input id="available_24_7" type="checkbox" name="available_24_7" value="1" <?= $this->agency_data['available_24_7'] ? 'checked="checked"' : '' ?> />
						<div class="clear"></div>
					</div>
				
					<div style="padding: 0px 20px" class="lindent w_times">
						<? $sdate = date('l', strtotime(date('Y') . 'W' . date('W') . '0')); ?>

						<? for ($j = 1; $j <= 7; $j++): ?>
						<div class="inner">
							<?
								$wt = isset($this->agency_data['working_times'][$j]) ? $this->agency_data['working_times'][$j] : null;
							?>
							<span class="label">
								<label class="radio">
									<input type="checkbox" name="work_days[<?= $j ?>]" value="1"<?= $wt ? ' checked="checked"' : '' ?> />
									<span> <?= $this->getWeekDay($j) ?></span>
								</label>
							</span>

							<select style="float: left;" name="work_times_from[<?= $j ?>]" class="selectbox">
								<option value="">-</option>
								<? for ($i = 1; $i <= 24; $i ++): ?>
								<option value="<?= $i - 0.5 ?>"<?= $wt['from'] == $i - 0.5 ? ' selected="selected"' : '' ?>><?= ( strlen($i - 1) == 1 ? '0' : '' ) . ($i - 1) ?>:30&nbsp;&nbsp;</option>
								<option value="<?= $i ?>"<?= $wt['from'] == $i ? ' selected="selected"' : '' ?>><?= ( strlen($i) == 1 ? '0' : '' ) . $i ?>:00&nbsp;&nbsp;</option>
								<? endfor; ?>
							</select>

							<span style="float: left; margin: 4px 5px 0 5px; ">-</span>

							<select style="float: left" name="work_times_to[<?= $j ?>]" class="selectbox">
								<option value="">-</option>
								<? for ($i = 1; $i <= 24; $i ++): ?>
								<option value="<?= $i - 0.5 ?>"<?= $wt['to'] == $i - 0.5 ? ' selected="selected"' : '' ?>><?= ( strlen($i - 1) == 1 ? '0' : '' ) . ($i - 1) ?>:30&nbsp;&nbsp;</option>
								<option value="<?= $i ?>"<?= $wt['to'] == $i ? ' selected="selected"' : '' ?>><?= ( strlen($i) == 1 ? '0' : '' ) . $i ?>:00&nbsp;&nbsp;</option>
								<? endfor; ?>
							</select>
							<div class="clear"></div>
						</div>
						<? endfor; ?>
					</div>
				
			</div>

			<div class="clear"></div>
		</div>
	</div>

	<script type="text/javascript">
		FormErrors.init(<?= json_encode($this->errors) ?>);
	</script>

	</form>

	<div class="actions-container ap">
		<div class="ap-wrapper">
			<div class="btn-big" onclick="return Navigation.update()">
				<span class="icon-save" ><?= __('pv2_btn_save') ?></span>
			</div>
			<div class="btn-big" onclick="return Navigation.reset()">
				<span class="icon-reset" ><?= __('pv2_btn_reset') ?></span>
			</div>
		</div>
		<div class="clear"></div>
	</div>
	<div class="clear"></div>
	
</div>
